#!/bin/sh

LIBPATH=/usr/X11R6.4/lib:$LIBPATH
export LIBPATH

PATH=/usr/openwin/bin:$PATH
export PATH

if [ "$DISPLAY" = "" ]
then
        echo "No DISPLAY variable set, LBX cannot start."
        exit 1
fi

echo Starting Low Bandwidth X proxy.
>$HOME/.lbxproxy
lbxproxy :10 2> $HOME/.lbxproxy &

until egrep "Using port number .[0-9]*." $HOME/.lbxproxy
do
  sleep 1
done

lbxport=`awk '/Using port number/{print $4}' $HOME/.lbxproxy | tr -d "'"`

LBXDISPLAY="`hostname`:$lbxport.0"

authtype=`xauth list $DISPLAY | awk '{print $2}'`
authkey=`xauth list $DISPLAY | awk '{print $3}'`

if [ ! -z "$authtype" ]
then
  echo "Adding Xauthority for lbxproxy"
  xauth add $LBXDISPLAY $authtype $authkey
else
  echo "No Xauthority found for display $DISPLAY."
  echo "You may have authorization problems (especially via SSH!)"
fi

echo Standard X11 display: $DISPLAY
echo LBX proxy display: $LBXDISPLAY

ps -eaf |grep [l]bxproxy

DISPLAY=$LBXDISPLAY
export DISPLAY
